##
## file: arch/Kconfig
##
CONFIG_SECCOMP=y

##
## file: arch/arm64/Kconfig
##
CONFIG_ARM64_ERRATUM_834220=y
CONFIG_ARM64_ERRATUM_843419=y
CONFIG_ARM64_ERRATUM_1418040=y
## choice: Virtual address space size
CONFIG_ARM64_VA_BITS_48=y
## end choice
CONFIG_SCHED_MC=y
CONFIG_SCHED_SMT=y
CONFIG_NR_CPUS=256
CONFIG_NUMA=y
CONFIG_KEXEC=y
CONFIG_CRASH_DUMP=y
CONFIG_XEN=y
CONFIG_COMPAT=y
CONFIG_COMPAT_VDSO=y
CONFIG_ARMV8_DEPRECATED=y
CONFIG_SWP_EMULATION=y
CONFIG_CP15_BARRIER_EMULATION=y
CONFIG_SETEND_EMULATION=y
CONFIG_ARM64_USE_LSE_ATOMICS=y
CONFIG_ARM64_PMEM=y
CONFIG_RANDOMIZE_BASE=y
CONFIG_RANDOMIZE_MODULE_REGION_FULL=y
CONFIG_ARM64_ACPI_PARKING_PROTOCOL=y

##
## file: arch/arm64/crypto/Kconfig
##
CONFIG_ARM64_CRYPTO=y
CONFIG_CRYPTO_SHA512_ARM64=m
CONFIG_CRYPTO_SHA1_ARM64_CE=m
CONFIG_CRYPTO_SHA2_ARM64_CE=m
CONFIG_CRYPTO_SHA512_ARM64_CE=m
CONFIG_CRYPTO_SHA3_ARM64=m
CONFIG_CRYPTO_GHASH_ARM64_CE=m
CONFIG_CRYPTO_CRCT10DIF_ARM64_CE=m
CONFIG_CRYPTO_AES_ARM64_CE=m
CONFIG_CRYPTO_AES_ARM64_CE_CCM=m
CONFIG_CRYPTO_AES_ARM64_CE_BLK=m
# CONFIG_CRYPTO_AES_ARM64_NEON_BLK is not set
CONFIG_CRYPTO_NHPOLY1305_NEON=m
CONFIG_CRYPTO_AES_ARM64_BS=m

##
## file: arch/arm64/kvm/Kconfig
##
CONFIG_VIRTUALIZATION=y
CONFIG_KVM=y

##
## file: arch/arm64/Kconfig.platforms
##
CONFIG_ARCH_SUNXI=y
CONFIG_ARCH_BCM2835=y
CONFIG_ARCH_LAYERSCAPE=y
CONFIG_ARCH_HISI=y
CONFIG_ARCH_MESON=y
CONFIG_ARCH_MVEBU=y
CONFIG_ARCH_MXC=y
CONFIG_ARCH_QCOM=y
CONFIG_ARCH_ROCKCHIP=y
CONFIG_ARCH_SEATTLE=y
CONFIG_ARCH_SYNQUACER=y
CONFIG_ARCH_TEGRA=y
CONFIG_ARCH_THUNDER=y
CONFIG_ARCH_THUNDER2=y
CONFIG_ARCH_VEXPRESS=y
CONFIG_ARCH_XGENE=y
CONFIG_ARCH_ZYNQMP=y

##
## file: drivers/acpi/Kconfig
##
CONFIG_ACPI=y
CONFIG_ACPI_SPCR_TABLE=y
CONFIG_ACPI_IPMI=m
CONFIG_ACPI_PCI_SLOT=y
CONFIG_ACPI_HED=y
CONFIG_ACPI_BGRT=y

##
## file: drivers/acpi/apei/Kconfig
##
CONFIG_ACPI_APEI=y
CONFIG_ACPI_APEI_GHES=y
CONFIG_ACPI_APEI_PCIEAER=y
CONFIG_ACPI_APEI_MEMORY_FAILURE=y
CONFIG_ACPI_APEI_EINJ=m

##
## file: drivers/acpi/numa/Kconfig
##
CONFIG_ACPI_NUMA=y

##
## file: drivers/android/Kconfig
##
CONFIG_ANDROID=y

##
## file: drivers/ata/Kconfig
##
CONFIG_SATA_AHCI_PLATFORM=m
CONFIG_AHCI_CEVA=m
CONFIG_AHCI_MVEBU=m
CONFIG_AHCI_TEGRA=m
CONFIG_AHCI_XGENE=m
CONFIG_AHCI_QORIQ=m
CONFIG_SATA_AHCI_SEATTLE=m

##
## file: drivers/bluetooth/Kconfig
##
CONFIG_BT_HCIUART=m
CONFIG_BT_MRVL_SDIO=m
CONFIG_BT_QCOMSMD=m

##
## file: drivers/bus/Kconfig
##
CONFIG_MOXTET=m
CONFIG_HISILICON_LPC=y
CONFIG_QCOM_EBI2=y
CONFIG_TEGRA_ACONNECT=y

##
## file: drivers/bus/fsl-mc/Kconfig
##
CONFIG_FSL_MC_BUS=y

##
## file: drivers/char/hw_random/Kconfig
##
CONFIG_HW_RANDOM_BCM2835=m
CONFIG_HW_RANDOM_OMAP=m
CONFIG_HW_RANDOM_HISI=m
CONFIG_HW_RANDOM_XGENE=m
CONFIG_HW_RANDOM_MESON=m
CONFIG_HW_RANDOM_CAVIUM=m

##
## file: drivers/char/ipmi/Kconfig
##
CONFIG_IPMI_HANDLER=m
CONFIG_IPMI_DEVICE_INTERFACE=m
CONFIG_IPMI_SSIF=m
CONFIG_IPMI_WATCHDOG=m
CONFIG_IPMI_POWEROFF=m

##
## file: drivers/char/tpm/Kconfig
##
CONFIG_TCG_TPM=m
CONFIG_TCG_TIS_I2C_INFINEON=m

##
## file: drivers/clk/Kconfig
##
CONFIG_COMMON_CLK_RK808=y
CONFIG_COMMON_CLK_HI655X=y
CONFIG_COMMON_CLK_FSL_SAI=y
CONFIG_CLK_QORIQ=y
CONFIG_CLK_LS1028A_PLLDIG=y
CONFIG_COMMON_CLK_XGENE=y

##
## file: drivers/clk/bcm/Kconfig
##
CONFIG_CLK_RASPBERRYPI=y

##
## file: drivers/clk/hisilicon/Kconfig
##
CONFIG_STUB_CLK_HI6220=y

##
## file: drivers/clk/imx/Kconfig
##
CONFIG_CLK_IMX8MM=y
CONFIG_CLK_IMX8MN=y
CONFIG_CLK_IMX8MP=y
CONFIG_CLK_IMX8MQ=y

##
## file: drivers/clk/qcom/Kconfig
##
CONFIG_COMMON_CLK_QCOM=y
CONFIG_QCOM_CLK_RPM=m
CONFIG_QCOM_CLK_SMD_RPM=m
CONFIG_MSM_GCC_8916=y
CONFIG_MSM_GCC_8996=y
CONFIG_MSM_MMCC_8996=y

##
## file: drivers/clk/sunxi-ng/Kconfig
##
CONFIG_SUN8I_DE2_CCU=y

##
## file: drivers/clk/zynqmp/Kconfig
##
CONFIG_COMMON_CLK_ZYNQMP=y

##
## file: drivers/cpufreq/Kconfig
##
## choice: Default CPUFreq governor
# CONFIG_CPU_FREQ_DEFAULT_GOV_PERFORMANCE is not set
CONFIG_CPU_FREQ_DEFAULT_GOV_SCHEDUTIL=y
## end choice
CONFIG_CPUFREQ_DT=m
CONFIG_QORIQ_CPUFREQ=m

##
## file: drivers/cpufreq/Kconfig.arm
##
CONFIG_ACPI_CPPC_CPUFREQ=m
CONFIG_ARM_ARMADA_37XX_CPUFREQ=m
CONFIG_ARM_RASPBERRYPI_CPUFREQ=m

##
## file: drivers/cpuidle/Kconfig.arm
##
CONFIG_ARM_CPUIDLE=y

##
## file: drivers/crypto/Kconfig
##
CONFIG_CRYPTO_DEV_QCE=m
CONFIG_CRYPTO_DEV_QCOM_RNG=m
CONFIG_CRYPTO_DEV_SAFEXCEL=m

##
## file: drivers/crypto/allwinner/Kconfig
##
CONFIG_CRYPTO_DEV_SUN8I_CE=m

##
## file: drivers/crypto/caam/Kconfig
##
CONFIG_CRYPTO_DEV_FSL_CAAM=m
CONFIG_CRYPTO_DEV_FSL_CAAM_JR=m
CONFIG_CRYPTO_DEV_FSL_DPAA2_CAAM=m

##
## file: drivers/crypto/cavium/cpt/Kconfig
##
CONFIG_CAVIUM_CPT=m

##
## file: drivers/crypto/cavium/nitrox/Kconfig
##
CONFIG_CRYPTO_DEV_NITROX_CNN55XX=m

##
## file: drivers/crypto/marvell/Kconfig
##
CONFIG_CRYPTO_DEV_MARVELL_CESA=m

##
## file: drivers/devfreq/Kconfig
##
CONFIG_ARM_RK3399_DMC_DEVFREQ=m

##
## file: drivers/devfreq/event/Kconfig
##
CONFIG_PM_DEVFREQ_EVENT=y
CONFIG_DEVFREQ_EVENT_ROCKCHIP_DFI=m

##
## file: drivers/dma/Kconfig
##
CONFIG_DMADEVICES=y
CONFIG_DMA_BCM2835=y
CONFIG_DMA_SUN6I=m
CONFIG_FSL_EDMA=m
CONFIG_FSL_QDMA=m
CONFIG_K3_DMA=m
CONFIG_MV_XOR=y
CONFIG_MV_XOR_V2=y
CONFIG_PL330_DMA=m
CONFIG_TEGRA20_APB_DMA=y
CONFIG_TEGRA210_ADMA=y
CONFIG_XGENE_DMA=m

##
## file: drivers/dma/qcom/Kconfig
##
CONFIG_QCOM_BAM_DMA=m
CONFIG_QCOM_HIDMA_MGMT=m
CONFIG_QCOM_HIDMA=m

##
## file: drivers/edac/Kconfig
##
CONFIG_EDAC=y
CONFIG_EDAC_LAYERSCAPE=m
CONFIG_EDAC_THUNDERX=m
CONFIG_EDAC_XGENE=m

##
## file: drivers/extcon/Kconfig
##
CONFIG_EXTCON=m
CONFIG_EXTCON_QCOM_SPMI_MISC=m
CONFIG_EXTCON_USB_GPIO=m
CONFIG_EXTCON_USBC_CROS_EC=m

##
## file: drivers/firmware/Kconfig
##
CONFIG_RASPBERRYPI_FIRMWARE=y
CONFIG_TURRIS_MOX_RWTM=m

##
## file: drivers/gpio/Kconfig
##
CONFIG_GPIOLIB=y
CONFIG_GPIO_MB86S7X=m
CONFIG_GPIO_MPC8XXX=y
CONFIG_GPIO_MXC=y
CONFIG_GPIO_PL061=y
CONFIG_GPIO_XGENE=y
CONFIG_GPIO_XGENE_SB=m
CONFIG_GPIO_XLP=y
CONFIG_GPIO_ZYNQ=m
CONFIG_GPIO_PCA953X=y
CONFIG_GPIO_PCA953X_IRQ=y
CONFIG_GPIO_MAX77620=y
CONFIG_GPIO_SL28CPLD=m
CONFIG_GPIO_MOXTET=m

##
## file: drivers/gpu/drm/Kconfig
##
CONFIG_DRM=m
CONFIG_DRM_RADEON=m
CONFIG_DRM_AMDGPU=m

##
## file: drivers/gpu/drm/arm/Kconfig
##
CONFIG_DRM_HDLCD=m
CONFIG_DRM_MALI_DISPLAY=m

##
## file: drivers/gpu/drm/ast/Kconfig
##
CONFIG_DRM_AST=m

##
## file: drivers/gpu/drm/bridge/Kconfig
##
CONFIG_DRM_NXP_PTN3460=m

##
## file: drivers/gpu/drm/bridge/adv7511/Kconfig
##
CONFIG_DRM_I2C_ADV7511=m
CONFIG_DRM_I2C_ADV7511_AUDIO=y

##
## file: drivers/gpu/drm/bridge/analogix/Kconfig
##
CONFIG_DRM_ANALOGIX_ANX6345=m

##
## file: drivers/gpu/drm/bridge/synopsys/Kconfig
##
CONFIG_DRM_DW_HDMI=m
CONFIG_DRM_DW_HDMI_CEC=m

##
## file: drivers/gpu/drm/hisilicon/hibmc/Kconfig
##
CONFIG_DRM_HISI_HIBMC=m

##
## file: drivers/gpu/drm/hisilicon/kirin/Kconfig
##
CONFIG_DRM_HISI_KIRIN=m

##
## file: drivers/gpu/drm/lima/Kconfig
##
CONFIG_DRM_LIMA=m

##
## file: drivers/gpu/drm/meson/Kconfig
##
CONFIG_DRM_MESON=m

##
## file: drivers/gpu/drm/msm/Kconfig
##
CONFIG_DRM_MSM=m
CONFIG_DRM_MSM_DSI=y
CONFIG_DRM_MSM_DSI_PLL=y
CONFIG_DRM_MSM_DSI_28NM_PHY=y
CONFIG_DRM_MSM_DSI_20NM_PHY=y

##
## file: drivers/gpu/drm/nouveau/Kconfig
##
CONFIG_NOUVEAU_PLATFORM_DRIVER=y

##
## file: drivers/gpu/drm/panel/Kconfig
##
CONFIG_DRM_PANEL_SIMPLE=m
CONFIG_DRM_PANEL_RASPBERRYPI_TOUCHSCREEN=m

##
## file: drivers/gpu/drm/panfrost/Kconfig
##
CONFIG_DRM_PANFROST=m

##
## file: drivers/gpu/drm/rockchip/Kconfig
##
CONFIG_DRM_ROCKCHIP=m
CONFIG_ROCKCHIP_ANALOGIX_DP=y
CONFIG_ROCKCHIP_CDN_DP=y
CONFIG_ROCKCHIP_DW_HDMI=y
CONFIG_ROCKCHIP_DW_MIPI_DSI=y

##
## file: drivers/gpu/drm/sun4i/Kconfig
##
CONFIG_DRM_SUN4I=m
CONFIG_DRM_SUN8I_DW_HDMI=m
CONFIG_DRM_SUN8I_MIXER=m

##
## file: drivers/gpu/drm/tegra/Kconfig
##
CONFIG_DRM_TEGRA=m
CONFIG_DRM_TEGRA_STAGING=y

##
## file: drivers/gpu/drm/vc4/Kconfig
##
CONFIG_DRM_VC4=m
CONFIG_DRM_VC4_HDMI_CEC=y

##
## file: drivers/gpu/host1x/Kconfig
##
CONFIG_TEGRA_HOST1X=m

##
## file: drivers/hid/i2c-hid/Kconfig
##
CONFIG_I2C_HID=m

##
## file: drivers/hwmon/Kconfig
##
CONFIG_SENSORS_LM75=m
CONFIG_SENSORS_LM90=m
CONFIG_SENSORS_PWM_FAN=m
CONFIG_SENSORS_SL28CPLD=m
CONFIG_SENSORS_XGENE=m

##
## file: drivers/hwspinlock/Kconfig
##
CONFIG_HWSPINLOCK_QCOM=m

##
## file: drivers/i2c/Kconfig
##
CONFIG_I2C=y
CONFIG_I2C_MUX=m

##
## file: drivers/i2c/busses/Kconfig
##
CONFIG_I2C_BCM2835=m
CONFIG_I2C_DESIGNWARE_PLATFORM=m
CONFIG_I2C_GPIO=m
CONFIG_I2C_IMX=m
CONFIG_I2C_MESON=m
CONFIG_I2C_MV64XXX=m
CONFIG_I2C_PXA=m
CONFIG_I2C_QCOM_GENI=m
CONFIG_I2C_QUP=m
CONFIG_I2C_RK3X=m
CONFIG_I2C_TEGRA=m
CONFIG_I2C_THUNDERX=m
CONFIG_I2C_XLP9XX=m
CONFIG_I2C_CROS_EC_TUNNEL=m
CONFIG_I2C_XGENE_SLIMPRO=m

##
## file: drivers/i2c/muxes/Kconfig
##
CONFIG_I2C_MUX_PCA954x=m

##
## file: drivers/iio/common/cros_ec_sensors/Kconfig
##
CONFIG_IIO_CROS_EC_SENSORS_CORE=m
CONFIG_IIO_CROS_EC_SENSORS=m

##
## file: drivers/iio/humidity/Kconfig
##
CONFIG_DHT11=m

##
## file: drivers/infiniband/hw/hns/Kconfig
##
CONFIG_INFINIBAND_HNS=m
CONFIG_INFINIBAND_HNS_HIP06=y
CONFIG_INFINIBAND_HNS_HIP08=y

##
## file: drivers/input/keyboard/Kconfig
##
CONFIG_KEYBOARD_ADC=m
CONFIG_KEYBOARD_GPIO=m
CONFIG_KEYBOARD_TEGRA=m
CONFIG_KEYBOARD_CROS_EC=m

##
## file: drivers/input/misc/Kconfig
##
CONFIG_INPUT_MISC=y
CONFIG_INPUT_PM8941_PWRKEY=m
CONFIG_INPUT_GPIO_BEEPER=m
CONFIG_INPUT_AXP20X_PEK=m
CONFIG_INPUT_UINPUT=m
CONFIG_INPUT_HISI_POWERKEY=m

##
## file: drivers/input/mouse/Kconfig
##
CONFIG_MOUSE_ELAN_I2C=m

##
## file: drivers/input/touchscreen/Kconfig
##
CONFIG_INPUT_TOUCHSCREEN=y
CONFIG_TOUCHSCREEN_ELAN=m

##
## file: drivers/iommu/Kconfig
##
CONFIG_ROCKCHIP_IOMMU=y
CONFIG_TEGRA_IOMMU_SMMU=y
CONFIG_ARM_SMMU=y
CONFIG_ARM_SMMU_V3=y
CONFIG_QCOM_IOMMU=y

##
## file: drivers/irqchip/Kconfig
##
CONFIG_SL28CPLD_INTC=y
CONFIG_QCOM_IRQ_COMBINER=y

##
## file: drivers/leds/Kconfig
##
CONFIG_LEDS_GPIO=m
CONFIG_LEDS_PWM=m

##
## file: drivers/mailbox/Kconfig
##
CONFIG_MAILBOX=y
CONFIG_IMX_MBOX=m
CONFIG_ARMADA_37XX_RWTM_MBOX=m
CONFIG_BCM2835_MBOX=y
CONFIG_HI6220_MBOX=y
CONFIG_QCOM_APCS_IPC=m
CONFIG_XGENE_SLIMPRO_MBOX=m

##
## file: drivers/media/platform/Kconfig
##
CONFIG_VIDEO_QCOM_VENUS=m

##
## file: drivers/media/rc/Kconfig
##
CONFIG_IR_MESON=m

##
## file: drivers/memory/tegra/Kconfig
##
CONFIG_TEGRA_MC=y

##
## file: drivers/mfd/Kconfig
##
CONFIG_MFD_AXP20X_I2C=m
CONFIG_MFD_AXP20X_RSB=m
CONFIG_MFD_CROS_EC_DEV=m
CONFIG_MFD_HI655X_PMIC=m
CONFIG_MFD_MAX77620=y
CONFIG_MFD_QCOM_RPM=m
CONFIG_MFD_SPMI_PMIC=m
CONFIG_MFD_RK808=m
CONFIG_MFD_SL28CPLD=y

##
## file: drivers/misc/Kconfig
##
CONFIG_QCOM_COINCELL=m

##
## file: drivers/misc/ti-st/Kconfig
##
CONFIG_TI_ST=m

##
## file: drivers/mmc/Kconfig
##
CONFIG_MMC=y

##
## file: drivers/mmc/host/Kconfig
##
CONFIG_MMC_ARMMMCI=m
CONFIG_MMC_QCOM_DML=y
CONFIG_MMC_SDHCI_ACPI=m
CONFIG_MMC_SDHCI_PLTFM=m
CONFIG_MMC_SDHCI_OF_ARASAN=m
CONFIG_MMC_SDHCI_OF_ESDHC=m
CONFIG_MMC_SDHCI_ESDHC_IMX=m
CONFIG_MMC_SDHCI_TEGRA=m
CONFIG_MMC_SDHCI_F_SDH30=m
CONFIG_MMC_SDHCI_IPROC=m
CONFIG_MMC_MESON_GX=m
CONFIG_MMC_SDHCI_MSM=m
CONFIG_MMC_SPI=m
CONFIG_MMC_CAVIUM_THUNDERX=m
CONFIG_MMC_DW=m
CONFIG_MMC_DW_K3=m
CONFIG_MMC_DW_ROCKCHIP=m
CONFIG_MMC_SUNXI=m
CONFIG_MMC_BCM2835=m
CONFIG_MMC_SDHCI_XENON=m

##
## file: drivers/mtd/spi-nor/controllers/Kconfig
##
CONFIG_SPI_HISI_SFC=m

##
## file: drivers/net/can/Kconfig
##
CONFIG_CAN_FLEXCAN=m

##
## file: drivers/net/dsa/Kconfig
##
CONFIG_NET_DSA_MV88E6060=m

##
## file: drivers/net/dsa/mv88e6xxx/Kconfig
##
CONFIG_NET_DSA_MV88E6XXX=m

##
## file: drivers/net/dsa/ocelot/Kconfig
##
CONFIG_NET_DSA_MSCC_FELIX=m

##
## file: drivers/net/ethernet/Kconfig
##
CONFIG_FEALNX=m

##
## file: drivers/net/ethernet/3com/Kconfig
##
CONFIG_NET_VENDOR_3COM=y
CONFIG_VORTEX=m
CONFIG_TYPHOON=m

##
## file: drivers/net/ethernet/8390/Kconfig
##
CONFIG_NET_VENDOR_8390=y
CONFIG_NE2K_PCI=m

##
## file: drivers/net/ethernet/adaptec/Kconfig
##
CONFIG_NET_VENDOR_ADAPTEC=y
CONFIG_ADAPTEC_STARFIRE=m

##
## file: drivers/net/ethernet/amd/Kconfig
##
CONFIG_AMD_XGBE=m

##
## file: drivers/net/ethernet/apm/xgene/Kconfig
##
CONFIG_NET_XGENE=m

##
## file: drivers/net/ethernet/apm/xgene-v2/Kconfig
##
CONFIG_NET_XGENE_V2=m

##
## file: drivers/net/ethernet/broadcom/Kconfig
##
CONFIG_BCMGENET=m

##
## file: drivers/net/ethernet/cadence/Kconfig
##
CONFIG_NET_VENDOR_CADENCE=y
CONFIG_MACB=m

##
## file: drivers/net/ethernet/cavium/Kconfig
##
CONFIG_NET_VENDOR_CAVIUM=y
CONFIG_THUNDER_NIC_PF=m
CONFIG_THUNDER_NIC_VF=m
CONFIG_THUNDER_NIC_BGX=m
CONFIG_THUNDER_NIC_RGX=m

##
## file: drivers/net/ethernet/dec/tulip/Kconfig
##
CONFIG_NET_TULIP=y
CONFIG_DE2104X=m
CONFIG_TULIP=m
# CONFIG_TULIP_MWI is not set
# CONFIG_TULIP_MMIO is not set
CONFIG_WINBOND_840=m
CONFIG_DM9102=m

##
## file: drivers/net/ethernet/dlink/Kconfig
##
CONFIG_NET_VENDOR_DLINK=y
CONFIG_SUNDANCE=m
# CONFIG_SUNDANCE_MMIO is not set

##
## file: drivers/net/ethernet/freescale/Kconfig
##
CONFIG_NET_VENDOR_FREESCALE=y
CONFIG_FEC=m
CONFIG_FSL_XGMAC_MDIO=m

##
## file: drivers/net/ethernet/freescale/dpaa2/Kconfig
##
CONFIG_FSL_DPAA2_ETH=m
CONFIG_FSL_DPAA2_PTP_CLOCK=m

##
## file: drivers/net/ethernet/freescale/enetc/Kconfig
##
CONFIG_FSL_ENETC=m
CONFIG_FSL_ENETC_VF=m
CONFIG_FSL_ENETC_MDIO=m
CONFIG_FSL_ENETC_PTP_CLOCK=m
CONFIG_FSL_ENETC_QOS=y

##
## file: drivers/net/ethernet/hisilicon/Kconfig
##
CONFIG_NET_VENDOR_HISILICON=y
CONFIG_HIX5HD2_GMAC=m
CONFIG_HISI_FEMAC=m
CONFIG_HIP04_ETH=m
CONFIG_HNS_DSAF=m
CONFIG_HNS_ENET=m
CONFIG_HNS3=m
CONFIG_HNS3_HCLGE=m
CONFIG_HNS3_DCB=y
CONFIG_HNS3_HCLGEVF=m
CONFIG_HNS3_ENET=m

##
## file: drivers/net/ethernet/intel/Kconfig
##
CONFIG_NET_VENDOR_INTEL=y
CONFIG_E100=m

##
## file: drivers/net/ethernet/marvell/Kconfig
##
CONFIG_MVMDIO=m
CONFIG_MVNETA=m
CONFIG_MVPP2=m

##
## file: drivers/net/ethernet/mscc/Kconfig
##
CONFIG_NET_VENDOR_MICROSEMI=y

##
## file: drivers/net/ethernet/natsemi/Kconfig
##
CONFIG_NET_VENDOR_NATSEMI=y
CONFIG_NATSEMI=m

##
## file: drivers/net/ethernet/qualcomm/Kconfig
##
CONFIG_QCOM_EMAC=m

##
## file: drivers/net/ethernet/realtek/Kconfig
##
CONFIG_8139CP=m
CONFIG_8139TOO=m

##
## file: drivers/net/ethernet/smsc/Kconfig
##
CONFIG_NET_VENDOR_SMSC=y
CONFIG_SMC91X=m
CONFIG_EPIC100=m
CONFIG_SMSC911X=m

##
## file: drivers/net/ethernet/socionext/Kconfig
##
CONFIG_SNI_NETSEC=m

##
## file: drivers/net/ethernet/stmicro/stmmac/Kconfig
##
CONFIG_STMMAC_ETH=m
CONFIG_STMMAC_PLATFORM=m
CONFIG_DWMAC_GENERIC=m
CONFIG_DWMAC_IPQ806X=m
CONFIG_DWMAC_MESON=m
CONFIG_DWMAC_ROCKCHIP=m

##
## file: drivers/net/fddi/Kconfig
##
CONFIG_FDDI=y
CONFIG_SKFP=m

##
## file: drivers/net/mdio/Kconfig
##
CONFIG_MDIO_XGENE=m
CONFIG_MDIO_HISI_FEMAC=m
CONFIG_MDIO_THUNDER=m
CONFIG_MDIO_BUS_MUX_MMIOREG=m

##
## file: drivers/net/phy/Kconfig
##
CONFIG_MESON_GXL_PHY=m
CONFIG_BCM54140_PHY=m
CONFIG_MARVELL_PHY=m
CONFIG_MARVELL_10G_PHY=m
CONFIG_AT803X_PHY=m

##
## file: drivers/net/wireless/ath/wcn36xx/Kconfig
##
CONFIG_WCN36XX=m

##
## file: drivers/net/wireless/broadcom/brcm80211/brcmfmac/Kconfig
##
CONFIG_BRCMFMAC_SDIO=y

##
## file: drivers/net/wireless/marvell/mwifiex/Kconfig
##
CONFIG_MWIFIEX=m
CONFIG_MWIFIEX_SDIO=m
CONFIG_MWIFIEX_PCIE=m

##
## file: drivers/net/wireless/ti/Kconfig
##
CONFIG_WLAN_VENDOR_TI=y
CONFIG_WILINK_PLATFORM_DATA=y

##
## file: drivers/net/wireless/ti/wl1251/Kconfig
##
CONFIG_WL1251=m
CONFIG_WL1251_SPI=m
CONFIG_WL1251_SDIO=m

##
## file: drivers/net/wireless/ti/wl12xx/Kconfig
##
CONFIG_WL12XX=m

##
## file: drivers/net/wireless/ti/wl18xx/Kconfig
##
CONFIG_WL18XX=m

##
## file: drivers/net/wireless/ti/wlcore/Kconfig
##
CONFIG_WLCORE=m
CONFIG_WLCORE_SPI=m
CONFIG_WLCORE_SDIO=m

##
## file: drivers/nvmem/Kconfig
##
CONFIG_NVMEM_IMX_OCOTP=m
CONFIG_QCOM_QFPROM=m
CONFIG_ROCKCHIP_EFUSE=m
CONFIG_NVMEM_SUNXI_SID=m
CONFIG_MESON_EFUSE=m

##
## file: drivers/pci/Kconfig
##
CONFIG_PCI=y
CONFIG_PCI_PRI=y
CONFIG_PCI_PASID=y

##
## file: drivers/pci/controller/Kconfig
##
CONFIG_PCI_AARDVARK=y
CONFIG_PCIE_XILINX_NWL=y
CONFIG_PCI_TEGRA=y
CONFIG_PCI_HOST_GENERIC=y
CONFIG_PCI_XGENE=y
CONFIG_PCI_HOST_THUNDER_PEM=y
CONFIG_PCI_HOST_THUNDER_ECAM=y
CONFIG_PCIE_ROCKCHIP_HOST=y
CONFIG_PCIE_BRCMSTB=y

##
## file: drivers/pci/controller/dwc/Kconfig
##
CONFIG_PCI_LAYERSCAPE=y
CONFIG_PCI_HISI=y
CONFIG_PCIE_QCOM=y
CONFIG_PCIE_ARMADA_8K=y
CONFIG_PCIE_KIRIN=y

##
## file: drivers/pci/hotplug/Kconfig
##
CONFIG_HOTPLUG_PCI=y
CONFIG_HOTPLUG_PCI_ACPI=y
CONFIG_HOTPLUG_PCI_ACPI_IBM=m
CONFIG_HOTPLUG_PCI_CPCI_ZT5550=m
CONFIG_HOTPLUG_PCI_CPCI_GENERIC=m
CONFIG_HOTPLUG_PCI_SHPC=y

##
## file: drivers/pci/pcie/Kconfig
##
CONFIG_HOTPLUG_PCI_PCIE=y

##
## file: drivers/perf/Kconfig
##
CONFIG_ARM_CCI_PMU=y
CONFIG_ARM_CCI400_PMU=y
CONFIG_ARM_CCI5xx_PMU=y
CONFIG_ARM_CCN=y
CONFIG_ARM_CMN=m
CONFIG_ARM_SMMU_V3_PMU=m
CONFIG_QCOM_L2_PMU=y
CONFIG_QCOM_L3_PMU=y
CONFIG_XGENE_PMU=y

##
## file: drivers/perf/hisilicon/Kconfig
##
CONFIG_HISI_PMU=y

##
## file: drivers/phy/Kconfig
##
CONFIG_PHY_XGENE=m

##
## file: drivers/phy/allwinner/Kconfig
##
CONFIG_PHY_SUN4I_USB=m

##
## file: drivers/phy/amlogic/Kconfig
##
CONFIG_PHY_MESON8B_USB2=m

##
## file: drivers/phy/hisilicon/Kconfig
##
CONFIG_PHY_HI6220_USB=m

##
## file: drivers/phy/marvell/Kconfig
##
CONFIG_PHY_MVEBU_A3700_COMPHY=m
CONFIG_PHY_MVEBU_A3700_UTMI=m
CONFIG_PHY_MVEBU_CP110_COMPHY=m

##
## file: drivers/phy/qualcomm/Kconfig
##
CONFIG_PHY_QCOM_APQ8064_SATA=m
CONFIG_PHY_QCOM_IPQ806X_SATA=m
CONFIG_PHY_QCOM_QMP=m
CONFIG_PHY_QCOM_QUSB2=m
CONFIG_PHY_QCOM_USB_HS=m
CONFIG_PHY_QCOM_USB_HSIC=m

##
## file: drivers/phy/rockchip/Kconfig
##
CONFIG_PHY_ROCKCHIP_DP=m
CONFIG_PHY_ROCKCHIP_EMMC=m
CONFIG_PHY_ROCKCHIP_INNO_HDMI=m
CONFIG_PHY_ROCKCHIP_INNO_USB2=m
CONFIG_PHY_ROCKCHIP_PCIE=m
CONFIG_PHY_ROCKCHIP_TYPEC=m
CONFIG_PHY_ROCKCHIP_USB=m

##
## file: drivers/phy/tegra/Kconfig
##
CONFIG_PHY_TEGRA_XUSB=m

##
## file: drivers/pinctrl/Kconfig
##
CONFIG_PINCTRL_AXP209=m
CONFIG_PINCTRL_AMD=y
CONFIG_PINCTRL_SINGLE=y
CONFIG_PINCTRL_MAX77620=y

##
## file: drivers/pinctrl/freescale/Kconfig
##
CONFIG_PINCTRL_IMX8MM=y
CONFIG_PINCTRL_IMX8MN=y
CONFIG_PINCTRL_IMX8MP=y
CONFIG_PINCTRL_IMX8MQ=y

##
## file: drivers/pinctrl/qcom/Kconfig
##
CONFIG_PINCTRL_MSM8916=y
CONFIG_PINCTRL_MSM8996=y
CONFIG_PINCTRL_QCOM_SPMI_PMIC=y
CONFIG_PINCTRL_QCOM_SSBI_PMIC=y

##
## file: drivers/platform/chrome/Kconfig
##
CONFIG_CHROME_PLATFORMS=y
CONFIG_CROS_EC=m
CONFIG_CROS_EC_I2C=m
CONFIG_CROS_EC_SPI=m
CONFIG_CROS_KBD_LED_BACKLIGHT=m

##
## file: drivers/power/reset/Kconfig
##
CONFIG_POWER_RESET_HISI=y
CONFIG_POWER_RESET_MSM=y
CONFIG_POWER_RESET_VEXPRESS=y
CONFIG_POWER_RESET_XGENE=y
CONFIG_POWER_RESET_SYSCON=y
CONFIG_POWER_RESET_SYSCON_POWEROFF=y

##
## file: drivers/power/supply/Kconfig
##
CONFIG_BATTERY_CW2015=m
CONFIG_BATTERY_SBS=m
CONFIG_BATTERY_BQ27XXX=m
CONFIG_CHARGER_AXP20X=m
CONFIG_BATTERY_AXP20X=m
CONFIG_AXP20X_POWER=m
CONFIG_AXP288_FUEL_GAUGE=m
CONFIG_CHARGER_GPIO=m
CONFIG_CHARGER_QCOM_SMBB=m
CONFIG_CHARGER_CROS_USBPD=m

##
## file: drivers/ptp/Kconfig
##
CONFIG_PTP_1588_CLOCK_QORIQ=m

##
## file: drivers/pwm/Kconfig
##
CONFIG_PWM=y
CONFIG_PWM_BCM2835=m
CONFIG_PWM_CROS_EC=m
CONFIG_PWM_MESON=m
CONFIG_PWM_ROCKCHIP=m
CONFIG_PWM_SL28CPLD=m
CONFIG_PWM_SUN4I=m
CONFIG_PWM_TEGRA=m

##
## file: drivers/regulator/Kconfig
##
CONFIG_REGULATOR=y
CONFIG_REGULATOR_FIXED_VOLTAGE=m
CONFIG_REGULATOR_AXP20X=m
CONFIG_REGULATOR_FAN53555=m
CONFIG_REGULATOR_GPIO=m
CONFIG_REGULATOR_HI655X=m
CONFIG_REGULATOR_MAX77620=m
CONFIG_REGULATOR_PWM=m
CONFIG_REGULATOR_QCOM_RPM=m
CONFIG_REGULATOR_QCOM_SMD_RPM=m
CONFIG_REGULATOR_QCOM_SPMI=m
CONFIG_REGULATOR_RK808=m
CONFIG_REGULATOR_VCTRL=m

##
## file: drivers/remoteproc/Kconfig
##
CONFIG_QCOM_Q6V5_MSS=m
#. We want to enable this but it currently results in a dependency loop!
# CONFIG_QCOM_WCNSS_PIL is not set

##
## file: drivers/reset/Kconfig
##
CONFIG_RESET_CONTROLLER=y

##
## file: drivers/rpmsg/Kconfig
##
CONFIG_RPMSG_QCOM_GLINK_RPM=m
CONFIG_RPMSG_QCOM_GLINK_SMEM=m
CONFIG_RPMSG_QCOM_SMD=m

##
## file: drivers/rtc/Kconfig
##
CONFIG_RTC_DRV_DS1307=y
CONFIG_RTC_DRV_MAX77686=y
CONFIG_RTC_DRV_RK808=y
CONFIG_RTC_DRV_PCF85063=y
CONFIG_RTC_DRV_PCF8563=y
CONFIG_RTC_DRV_RV8803=m
CONFIG_RTC_DRV_PCF2127=m
CONFIG_RTC_DRV_EFI=y
CONFIG_RTC_DRV_CROS_EC=m
CONFIG_RTC_DRV_PL031=y
CONFIG_RTC_DRV_SUN6I=y
CONFIG_RTC_DRV_MV=m
CONFIG_RTC_DRV_ARMADA38X=m
CONFIG_RTC_DRV_PM8XXX=m
CONFIG_RTC_DRV_TEGRA=y
CONFIG_RTC_DRV_XGENE=y

##
## file: drivers/scsi/Kconfig
##
CONFIG_SCSI_DMX3191D=m

##
## file: drivers/scsi/hisi_sas/Kconfig
##
CONFIG_SCSI_HISI_SAS=m
CONFIG_SCSI_HISI_SAS_PCI=m

##
## file: drivers/soc/bcm/Kconfig
##
CONFIG_RASPBERRYPI_POWER=y

##
## file: drivers/soc/fsl/Kconfig
##
CONFIG_FSL_MC_DPIO=m
CONFIG_DPAA2_CONSOLE=m

##
## file: drivers/soc/qcom/Kconfig
##
CONFIG_QCOM_GSBI=m
CONFIG_QCOM_SMEM=m
CONFIG_QCOM_SMD_RPM=m
CONFIG_QCOM_SMP2P=m
CONFIG_QCOM_SMSM=m
CONFIG_QCOM_WCNSS_CTRL=m

##
## file: drivers/soc/rockchip/Kconfig
##
CONFIG_ROCKCHIP_IODOMAIN=m
CONFIG_ROCKCHIP_PM_DOMAINS=y

##
## file: drivers/soc/tegra/Kconfig
##
CONFIG_ARCH_TEGRA_132_SOC=y
CONFIG_ARCH_TEGRA_210_SOC=y

##
## file: drivers/spi/Kconfig
##
CONFIG_SPI_ARMADA_3700=m
CONFIG_SPI_BCM2835=m
CONFIG_SPI_BCM2835AUX=m
CONFIG_SPI_NXP_FLEXSPI=m
CONFIG_SPI_FSL_DSPI=m
CONFIG_SPI_MESON_SPICC=m
CONFIG_SPI_MESON_SPIFC=m
CONFIG_SPI_ROCKCHIP=m
CONFIG_SPI_QUP=m
CONFIG_SPI_TEGRA114=m
CONFIG_SPI_TEGRA20_SFLASH=m
CONFIG_SPI_TEGRA20_SLINK=m
CONFIG_SPI_THUNDERX=m
CONFIG_SPI_XLP=m

##
## file: drivers/spmi/Kconfig
##
CONFIG_SPMI=y
CONFIG_SPMI_MSM_PMIC_ARB=y

##
## file: drivers/staging/media/Kconfig
##
CONFIG_STAGING_MEDIA=y

##
## file: drivers/staging/media/sunxi/Kconfig
##
CONFIG_VIDEO_SUNXI=y

##
## file: drivers/staging/media/sunxi/cedrus/Kconfig
##
CONFIG_VIDEO_SUNXI_CEDRUS=m

##
## file: drivers/staging/rtl8723bs/Kconfig
##
CONFIG_RTL8723BS=m

##
## file: drivers/staging/vc04_services/bcm2835-audio/Kconfig
##
CONFIG_SND_BCM2835=m

##
## file: drivers/staging/vc04_services/bcm2835-camera/Kconfig
##
CONFIG_VIDEO_BCM2835=m

##
## file: drivers/tee/Kconfig
##
CONFIG_TEE=m

##
## file: drivers/tee/optee/Kconfig
##
CONFIG_OPTEE=m

##
## file: drivers/thermal/Kconfig
##
CONFIG_THERMAL=y
CONFIG_CPU_THERMAL=y
CONFIG_HISI_THERMAL=m
CONFIG_QORIQ_THERMAL=m
CONFIG_SUN8I_THERMAL=m
CONFIG_ROCKCHIP_THERMAL=m
CONFIG_ARMADA_THERMAL=m

##
## file: drivers/thermal/broadcom/Kconfig
##
CONFIG_BCM2711_THERMAL=m
CONFIG_BCM2835_THERMAL=m

##
## file: drivers/thermal/qcom/Kconfig
##
CONFIG_QCOM_TSENS=m
CONFIG_QCOM_SPMI_TEMP_ALARM=m

##
## file: drivers/thermal/tegra/Kconfig
##
CONFIG_TEGRA_SOCTHERM=y

##
## file: drivers/tty/serial/Kconfig
##
CONFIG_SERIAL_AMBA_PL010=y
CONFIG_SERIAL_AMBA_PL010_CONSOLE=y
CONFIG_SERIAL_AMBA_PL011=y
CONFIG_SERIAL_AMBA_PL011_CONSOLE=y
CONFIG_SERIAL_MESON=y
CONFIG_SERIAL_MESON_CONSOLE=y
CONFIG_SERIAL_TEGRA=y
CONFIG_SERIAL_IMX=y
CONFIG_SERIAL_IMX_CONSOLE=y
CONFIG_SERIAL_MSM=y
CONFIG_SERIAL_MSM_CONSOLE=y
CONFIG_SERIAL_XILINX_PS_UART=y
CONFIG_SERIAL_XILINX_PS_UART_CONSOLE=y
CONFIG_SERIAL_FSL_LPUART=y
CONFIG_SERIAL_FSL_LPUART_CONSOLE=y
CONFIG_SERIAL_MVEBU_UART=y
CONFIG_SERIAL_MVEBU_CONSOLE=y

##
## file: drivers/tty/serial/8250/Kconfig
##
CONFIG_SERIAL_8250=y
CONFIG_SERIAL_8250_CONSOLE=y
CONFIG_SERIAL_8250_DMA=y
CONFIG_SERIAL_8250_NR_UARTS=4
CONFIG_SERIAL_8250_RUNTIME_UARTS=4
CONFIG_SERIAL_8250_EXTENDED=y
CONFIG_SERIAL_8250_SHARE_IRQ=y
CONFIG_SERIAL_8250_BCM2835AUX=y
CONFIG_SERIAL_8250_DW=y
# CONFIG_SERIAL_8250_EM is not set
CONFIG_SERIAL_OF_PLATFORM=y

##
## file: drivers/usb/chipidea/Kconfig
##
CONFIG_USB_CHIPIDEA=m
CONFIG_USB_CHIPIDEA_UDC=y
CONFIG_USB_CHIPIDEA_HOST=y

##
## file: drivers/usb/dwc2/Kconfig
##
CONFIG_USB_DWC2=m
## choice: DWC2 Mode Selection
CONFIG_USB_DWC2_DUAL_ROLE=y
## end choice

##
## file: drivers/usb/dwc3/Kconfig
##
CONFIG_USB_DWC3=m
CONFIG_USB_DWC3_ULPI=y
## choice: DWC3 Mode Selection
CONFIG_USB_DWC3_DUAL_ROLE=y
## end choice

##
## file: drivers/usb/gadget/Kconfig
##
CONFIG_USB_GADGET=m

##
## file: drivers/usb/host/Kconfig
##
CONFIG_USB_XHCI_HCD=m
CONFIG_USB_XHCI_PLATFORM=m
CONFIG_USB_XHCI_MVEBU=m
CONFIG_USB_XHCI_TEGRA=m
CONFIG_USB_EHCI_HCD=m
CONFIG_USB_EHCI_HCD_ORION=m
CONFIG_USB_EHCI_TEGRA=m
CONFIG_USB_EHCI_HCD_PLATFORM=m
CONFIG_USB_OHCI_HCD=m
CONFIG_USB_OHCI_HCD_PLATFORM=m

##
## file: drivers/usb/isp1760/Kconfig
##
CONFIG_USB_ISP1760=m
## choice: ISP1760 Mode Selection
# CONFIG_USB_ISP1760_HOST_ROLE is not set
# CONFIG_USB_ISP1760_GADGET_ROLE is not set
CONFIG_USB_ISP1760_DUAL_ROLE=y
## end choice

##
## file: drivers/usb/misc/Kconfig
##
CONFIG_USB_HSIC_USB3503=m

##
## file: drivers/usb/musb/Kconfig
##
CONFIG_USB_MUSB_HDRC=m
CONFIG_USB_MUSB_SUNXI=m

##
## file: drivers/usb/phy/Kconfig
##
CONFIG_NOP_USB_XCEIV=m
CONFIG_USB_ULPI=y

##
## file: drivers/usb/typec/Kconfig
##
CONFIG_TYPEC=m

##
## file: drivers/usb/typec/tcpm/Kconfig
##
CONFIG_TYPEC_TCPM=m
CONFIG_TYPEC_FUSB302=m

##
## file: drivers/vfio/Kconfig
##
CONFIG_VFIO=m
CONFIG_VFIO_NOIOMMU=y

##
## file: drivers/vfio/pci/Kconfig
##
CONFIG_VFIO_PCI=m

##
## file: drivers/video/backlight/Kconfig
##
CONFIG_BACKLIGHT_LP855X=m

##
## file: drivers/video/fbdev/Kconfig
##
CONFIG_FB_ARMCLCD=y
CONFIG_FB_EFI=y
CONFIG_FB_SIMPLE=y

##
## file: drivers/virtio/Kconfig
##
CONFIG_VIRTIO_MMIO=m

##
## file: drivers/watchdog/Kconfig
##
CONFIG_GPIO_WATCHDOG=m
CONFIG_WDAT_WDT=m
CONFIG_SL28CPLD_WATCHDOG=m
CONFIG_ARM_SP805_WATCHDOG=m
CONFIG_ARM_SBSA_WATCHDOG=m
CONFIG_ARMADA_37XX_WATCHDOG=m
CONFIG_DW_WATCHDOG=m
CONFIG_SUNXI_WATCHDOG=m
CONFIG_TEGRA_WATCHDOG=m
CONFIG_QCOM_WDT=m
CONFIG_MESON_GXBB_WATCHDOG=m
CONFIG_MESON_WATCHDOG=m
CONFIG_BCM2835_WDT=m

##
## file: kernel/dma/Kconfig
##
CONFIG_DMA_CMA=y
CONFIG_CMA_SIZE_MBYTES=64

##
## file: kernel/power/Kconfig
##
CONFIG_ENERGY_MODEL=y

##
## file: lib/Kconfig.debug
##
CONFIG_DEBUG_INFO_BTF=y

##
## file: mm/Kconfig
##
CONFIG_CMA=y

##
## file: mm/Kconfig.debug
##
CONFIG_DEBUG_WX=y

##
## file: net/bluetooth/Kconfig
##
CONFIG_BT_LEDS=y

##
## file: net/dsa/Kconfig
##
CONFIG_NET_DSA=m

##
## file: sound/pci/hda/Kconfig
##
CONFIG_SND_HDA_INTEL=m
CONFIG_SND_HDA_TEGRA=m

##
## file: sound/soc/Kconfig
##
CONFIG_SND_SOC=m

##
## file: sound/soc/bcm/Kconfig
##
CONFIG_SND_BCM2835_SOC_I2S=m

##
## file: sound/soc/codecs/Kconfig
##
CONFIG_SND_SOC_SIMPLE_AMPLIFIER=m
CONFIG_SND_SOC_WM8904=m
CONFIG_SND_SOC_ES8316=m

##
## file: sound/soc/fsl/Kconfig
##
CONFIG_SND_SOC_FSL_SAI=m

##
## file: sound/soc/generic/Kconfig
##
CONFIG_SND_SIMPLE_CARD=m

##
## file: sound/soc/hisilicon/Kconfig
##
CONFIG_SND_I2S_HI6210_I2S=m

##
## file: sound/soc/qcom/Kconfig
##
CONFIG_SND_SOC_QCOM=m
CONFIG_SND_SOC_APQ8016_SBC=m

##
## file: sound/soc/rockchip/Kconfig
##
CONFIG_SND_SOC_ROCKCHIP=m
CONFIG_SND_SOC_ROCKCHIP_I2S=m
CONFIG_SND_SOC_ROCKCHIP_SPDIF=m
CONFIG_SND_SOC_ROCKCHIP_RT5645=m
CONFIG_SND_SOC_RK3399_GRU_SOUND=m

##
## file: sound/soc/sunxi/Kconfig
##
CONFIG_SND_SUN8I_CODEC=m
CONFIG_SND_SUN50I_CODEC_ANALOG=m
CONFIG_SND_SUN4I_I2S=m

##
## file: sound/soc/tegra/Kconfig
##
CONFIG_SND_SOC_TEGRA=m
CONFIG_SND_SOC_TEGRA_RT5640=m
CONFIG_SND_SOC_TEGRA_WM8753=m
CONFIG_SND_SOC_TEGRA_WM8903=m
CONFIG_SND_SOC_TEGRA_TRIMSLICE=m
CONFIG_SND_SOC_TEGRA_ALC5632=m
CONFIG_SND_SOC_TEGRA_MAX98090=m
CONFIG_SND_SOC_TEGRA_RT5677=m

